Page MenuHomePhabricator

Phan fails for Wikibase on wmf.x branches
Closed, ResolvedPublic

Description

Currently blocking the backport of: https://gerrit.wikimedia.org/r/#/q/801c39d3fe6500fb0eb4a5767d5987f9ba78107c

Which is, in turn, blocking other backports which is, in turn, blocking the wmf.5 train.

From IRC:

<legoktm> Wikibase's phan config only loads the Babel/PageImages phan stubs if extensions/Babel (etc.) is not a directory
<legoktm> but on wmf/ branches that is always a directory since it's a submodule
<legoktm> maybe it should check for some thing like file_exists(extensions/Babel/extension.json)

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAlways use extension stubs for phan

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 29 2018, 7:13 PM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-05-29T19:16:40Z] <thcipriani> cutting branch for wmf.6, will not deploy wmf.6 as wmf.5 is not currently on group2 as the train is blocked on T195514 which is blocked on T195868 which is blocked on T195906

thcipriani triaged this task as Unbreak Now! priority.May 29 2018, 7:18 PM

Setting UBN! as this is a blocker of the blocker of the blocker of the train for wmf.5

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMay 29 2018, 7:18 PM
Peachey88 updated the task description. (Show Details)May 29 2018, 7:45 PM

[12:01:38] <legoktm> thcipriani: I know why it's failing, I have no idea why it passed previously
[12:02:01] <legoktm> Wikibase's phan config only loads the Babel/PageImages phan stubs if extensions/Babel (etc.) is not a directory
[12:02:15] <legoktm> but on wmf/ branches that is always a directory since it's a submodule
[12:02:32] <legoktm> maybe it should check for some thing like file_exists(extensions/Babel/extension.json)

thcipriani lowered the priority of this task from Unbreak Now! to High.May 29 2018, 8:14 PM

Lowering priority as I force-merged the patch that blocked train.

Vvjjkkii renamed this task from Phan fails for Wikibase on wmf.x branches to h1baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.

Change 446809 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/extensions/Wikibase@master] Always use extension stubs for phan

https://gerrit.wikimedia.org/r/446809

Change 446809 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Always use extension stubs for phan

https://gerrit.wikimedia.org/r/446809

Legoktm closed this task as Resolved.Jul 20 2018, 2:16 PM
Legoktm claimed this task.
This comment was removed by Addshore.